Package org.eclipse.emf.cdo.server.embedded

## Class CDOEmbeddedRepositoryConfig

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.lifecycle.Lifecycle
    - - org.eclipse.emf.cdo.server.embedded.CDOEmbeddedRepositoryConfig

- All Implemented Interfaces:
    `org.eclipse.net4j.util.container.IManagedContainerProvider`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

      public abstract class CDOEmbeddedRepositoryConfig
      extends org.eclipse.net4j.util.lifecycle.Lifecycle
      implements org.eclipse.net4j.util.container.IManagedContainerProvider

  Since:
    4.6
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `USE_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOEmbeddedRepositoryConfig​(java.lang.String repositoryName)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `activateRepository​(IRepository repository)` |
    `void` | `afterFirstStart​(IRepository repository)` | Subclasses may override.
    `void` | `afterReStart​(IRepository repository)` | Subclasses may override.
    `org.eclipse.net4j.acceptor.IAcceptor` | `createAcceptor​(org.eclipse.net4j.util.container.IManagedContainer container)` | Subclasses may override.
    `org.eclipse.net4j.connector.IConnector` | `createConnector​(org.eclipse.net4j.util.container.IManagedContainer container)` | Subclasses may override.
    `CDONet4jSessionConfiguration` | `createSessionConfiguration​(org.eclipse.net4j.connector.IConnector connector, CDOBranchManager branchManager, CDORevisionManager revisionManager)` | Subclasses may override.
    `abstract IStore` | `createStore​(org.eclipse.net4j.util.container.IManagedContainer container)` |
    `protected void` | `deactivateRepository()` |
    `protected void` | `doActivate()` |
    `protected void` | `doDeactivate()` |
    `org.eclipse.net4j.util.container.IManagedContainer` | `getContainer()` | Subclasses may override.
    `IRepository` | `getRepository()` |
    `java.lang.String` | `getRepositoryName()` |
    `void` | `initPackages​(IRepository repository, java.util.List<EPackage> packages)` | Subclasses may override.
    `abstract void` | `initProperties​(org.eclipse.net4j.util.container.IManagedContainer container, java.util.Map<java.lang.String,​java.lang.String> properties)` |
    `boolean` | `isInitialPackage​(IRepository repository, java.lang.String nsURI)` | Subclasses may override.
    `void` | `modifySession​(IRepository repository, CDONet4jSession session)` | Subclasses may override.
    `CDONet4jSession` | `openClientSession()` |

    - ### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Constructor Detail

    - #### CDOEmbeddedRepositoryConfig

          public CDOEmbeddedRepositoryConfig​(java.lang.String repositoryName)

  - ### Method Detail

    - #### getRepositoryName

          public final java.lang.String getRepositoryName()

      Since:
        4.8

    - #### getRepository

          public final IRepository getRepository()

    - #### openClientSession

          public final CDONet4jSession openClientSession()

    - #### getContainer

          public org.eclipse.net4j.util.container.IManagedContainer getContainer()

      Subclasses may override.
      Specified by:
        `getContainer` in interface `org.eclipse.net4j.util.container.IManagedContainerProvider`

    - #### initPackages

          public void initPackages​(IRepository repository,
                                   java.util.List<EPackage> packages)

      Subclasses may override.

    - #### isInitialPackage

          public boolean isInitialPackage​(IRepository repository,
                                          java.lang.String nsURI)

      Subclasses may override.

    - #### afterFirstStart

          public void afterFirstStart​(IRepository repository)

      Subclasses may override.

    - #### afterReStart

          public void afterReStart​(IRepository repository)

      Subclasses may override.

    - #### modifySession

          public void modifySession​(IRepository repository,
                                    CDONet4jSession session)

      Subclasses may override.

    - #### createSessionConfiguration

          public CDONet4jSessionConfiguration createSessionConfiguration​(org.eclipse.net4j.connector.IConnector connector,
                                                                         CDOBranchManager branchManager,
                                                                         CDORevisionManager revisionManager)

      Subclasses may override.

    - #### createAcceptor

          public org.eclipse.net4j.acceptor.IAcceptor createAcceptor​(org.eclipse.net4j.util.container.IManagedContainer container)

      Subclasses may override.

    - #### createConnector

          public org.eclipse.net4j.connector.IConnector createConnector​(org.eclipse.net4j.util.container.IManagedContainer container)

      Subclasses may override.

    - #### createStore

          public abstract IStore createStore​(org.eclipse.net4j.util.container.IManagedContainer container)

    - #### initProperties

          public abstract void initProperties​(org.eclipse.net4j.util.container.IManagedContainer container,
                                              java.util.Map<java.lang.String,​java.lang.String> properties)

    - #### activateRepository

          protected void activateRepository​(IRepository repository)

    - #### deactivateRepository

          protected void deactivateRepository()

    - #### doActivate

          protected void doActivate()
                             throws java.lang.Exception

      Overrides:
        `doActivate` in class `org.eclipse.net4j.util.lifecycle.Lifecycle`
      Throws:
        `java.lang.Exception`

    - #### doDeactivate

          protected void doDeactivate()
                               throws java.lang.Exception

      Overrides:
        `doDeactivate` in class `org.eclipse.net4j.util.lifecycle.Lifecycle`
      Throws:
        `java.lang.Exception`